# Product review update

Updates the product review. This endpoint is available only when the 'Rating' module is active.

Endpoint: PATCH /api/reviews/products/{reviewId}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `reviewId` (integer, required)
    review ID
    Example: 1

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.description` (null,string)
    Text of the review. Can be null only if 'Comment is required' setting is disabled.

  - `data.fullName` (null,string)
    Fullname of review's author. Can be null only if 'Comment is required' setting is disabled.

  - `data.authorized` (boolean)
    flag whether the review is authorized

  - `data.visible` (boolean)
    flag whether the review is visible on web

  - `data.reaction` (object)

  - `data.reaction.reactionFullName` (null,string)
    Fullname of reaction author. Can be null.

  - `data.reaction.reactionEmail` (null,string)
    Email of the reaction author.

  - `data.reaction.reactionText` (null,string)
    Text of the reaction.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.guid` (string, required)

  - `data.date` (string,null, required)
    Review creation date.

  - `data.orderCode` (null,string, required)
    Order code related to review. Can be null.

  - `data.rating` (integer, required)
    Number from 1 to 5 representing starts of review's rating.

  - `data.productName` (string, required)
    Product name related to review.

  - `data.productGuid` (any, required)
    Product guid related to review.

  - `data.description` (null,string, required)

  - `data.fullName` (null,string, required)
    Fullname of review's author. Can be null.

  - `data.email` (null,string, required)
    Email of the review author. If it's a registered customer and the review email is empty, it's filled with the customer's main account email. Can be null.

  - `data.ipAddress` (string,null)
    IP address of the client who made the review. Can be null.

  - `data.customerGuid` (null,string, required)
    Customer guid related to review. Can be null.

  - `data.authorized` (boolean, required)

  - `data.visible` (boolean, required)

  - `data.reaction` (object, required)

  - `data.reaction.reactionCreated` (string,null, required)
    Date of creation of reaction. Can be null.

  - `data.reaction.reactionFullName` (null,string, required)

  - `data.reaction.reactionEmail` (null,string, required)

  - `data.reaction.reactionText` (null,string, required)

  - `data.updated` (string,null, required)
    Timestamp whenever the rating is changed

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


